<?php 
$username = $_GET['lp-teacher'];
$lp_user = get_user_by( 'login', $username );
$user_image = get_user_meta( $lp_user->ID, 'smartowl_user_image', true );
$teacher_function = get_user_meta( $lp_user->ID, 'smartowl_teacher_function', true );
$eduprime_social_facebook = get_user_meta( $lp_user->ID, 'smartowl_social_facebook', true );
$eduprime_social_twitter = get_user_meta( $lp_user->ID, 'smartowl_social_twitter', true );
$eduprime_social_linkedin = get_user_meta( $lp_user->ID, 'smartowl_social_linkedin', true );
$eduprime_social_instagram = get_user_meta( $lp_user->ID, 'smartowl_social_instagram', true );
$eduprime_social_google_plus = get_user_meta( $lp_user->ID, 'smartowl_social_google_plus', true );
$phone_number = get_user_meta( $lp_user->ID, 'billing_phone', true );
$billing_email = get_user_meta( $lp_user->ID, 'billing_email', true );

$metabox_progress_bar1_name = get_user_meta( $lp_user->ID, 'smartowl_progress_bar1_name', true );
$metabox_progress_bar1_percentage = get_user_meta( $lp_user->ID, 'smartowl_progress_bar1_percentage', true );
$metabox_progress_bar2_name = get_user_meta( $lp_user->ID, 'smartowl_progress_bar2_name', true );
$metabox_progress_bar2_percentage = get_user_meta( $lp_user->ID, 'smartowl_progress_bar2_percentage', true );
$metabox_progress_bar3_name = get_user_meta( $lp_user->ID, 'smartowl_progress_bar3_name', true );
$metabox_progress_bar3_percentage = get_user_meta( $lp_user->ID, 'smartowl_progress_bar3_percentage', true );
$metabox_progress_bar3_name = get_user_meta( $lp_user->ID, 'smartowl_progress_bar3_name', true );
$metabox_progress_bar3_percentage = get_user_meta( $lp_user->ID, 'smartowl_progress_bar3_percentage', true );
$metabox_progress_bar4_name = get_user_meta( $lp_user->ID, 'smartowl_progress_bar4_name', true );
$metabox_progress_bar4_percentage = get_user_meta( $lp_user->ID, 'smartowl_progress_bar4_percentage', true );

if($lp_user) { ?>

	<?php 
	function eduprime_teacher_body_class($classes) {
    $classes[] = 'foo';
    return $classes;
}

add_filter('body_class', 'eduprime_teacher_body_class', 1);
	 ?>

	<div class="teacher-teamplate">
		
		<!-- Breadcrumbs -->
		<div class="fullwidth container">	
			<div class="modeltheme-breadcrumbs">
			    <div class="container">
			        <div class="row">
			            <div class="col-md-12">
			                <h1 class="page-title"><?php echo esc_html($lp_user->display_name); ?></h1>
			                <ol class="breadcrumb">
			                    <li><?php echo esc_html($teacher_function); ?></li>              
			                </ol>
			            </div>
			        </div>
			    </div>
			</div>
		</div>
		
		<!-- section1 -->
		<div class="container teacher-info-container high-padding">
			<div class="row">
				<?php if($user_image) { ?>
					<div class="col-md-6">
						<img class="user_image" src="<?php echo esc_url($user_image); ?>">
					</div>
				<?php } ?>
				<div class="col-md-6">
					<div class="teacher-info-inner">
						<h2 class="teacher-name"><?php echo esc_html($lp_user->display_name); ?></h2>
						<?php if($phone_number) { ?>
							<p class="teacher-info"><i class="fa fa-phone"></i><?php echo esc_html($phone_number); ?></p>
						<?php } ?>
						<?php if($billing_email) { ?>
							<p class="teacher-info"><i class="fa fa-envelope-o"></i><?php echo esc_html($billing_email); ?></p>
						<?php } ?>
						<?php echo '<ul class="lms-social-links">';	            
				            if ( isset( $eduprime_social_facebook )) {
				                echo '<li class="lms-facebook"><a href="'.esc_url($eduprime_social_facebook).'"><i class="fa fa-facebook"></i></a></li>';
				            } 
				            if ( isset( $eduprime_social_twitter )) {
				                echo '<li class="lms-twitter"><a href="'.esc_url($eduprime_social_twitter).'"><i class="fa fa-twitter"></i></a></li>';
				            }
				            if ( isset( $eduprime_social_linkedin )) {
				                echo '<li class="lms-linkedin"><a href="'.esc_url($eduprime_social_linkedin).'"><i class="fa fa-linkedin"></i></a></li>';
				            }
				            if ( isset( $eduprime_social_instagram )) {
				                echo '<li class="lms-instagram"><a href="'.esc_url($eduprime_social_instagram).'"><i class="fa fa-instagram"></i></a></li>';
				            }
				        echo '</ul>' ?>
			        </div>
				</div>
			</div>
		</div>

		<!-- section2 -->

		<?php 

		$cpt_name = 'lp_course';   
	    $args_posts = array(
	    		'author'        		=> $lp_user->ID,
	            'posts_per_page'        => 3,
	            'post_type'             => $cpt_name,
	            'post_status'           => 'publish',
	            'orderby'               => 'post_date',
	            'order'                 => 'DESC',
	    );
	    $posts = get_posts($args_posts);

	    ?>

	    <?php if($posts) { ?>

			<div class="container teacher-courses-container">
				<div class="row courses-list">

						<div class="col-md-12">
							<h1 class="teacher-teamplate-header"><?php echo esc_html__('Courses Taught','eduprime'); ?></h1>
						</div>				

				    <?php

				    foreach ($posts as $post) {
	        			$author_id = $post->post_author;

	        			$payment_type = get_user_meta( $post->ID, '_lp_payment', true );
	        			$payment_sum = get_user_meta( $post->ID, '_lp_price', true );
	        			$course_icon = get_post_meta( $post->ID, 'course_icon', true );

	        			if ($payment_type == '') {
				            $show_payment = 'Free';
				        } else{
				            $show_payment = learn_press_get_currency_symbol() . esc_html($payment_sum);
				        }

				        $shortcode_content = '';

				        echo '<div class="col-md-4 courses">';
			                echo '<div class="shortcode_course_content">';
			                    echo '<a href="'.get_permalink($post->ID).'">';
			                        echo '<div class="featured_image_courses">';
			                            echo '<img src="'. esc_url($course_icon) . '" alt="'. esc_attr($post->post_title) .'" />';                              
			                        echo '</div>';
			                    echo '</a>';
			                    echo '<div class="course_text_content">';
			                        echo '<div class="course_text_container">';		                       
			                            echo '<h5 class="course_title"><a href="'.get_permalink($post->ID).'">'.esc_html($post->post_title).'</a></h5>';
			                        $author = get_the_author_meta('display_name',$author_id);
			                        echo '<div class="post-author"><i class="fa fa-user-o"></i> '.esc_html__('Teacher: ', 'eduprime').'<strong>'.esc_html($author).'</strong></div>';
			                        echo '<div class="course_badge"><i class="fa fa-money"></i> '.esc_html__('Price: ', 'eduprime').'<strong>'.esc_html($show_payment).'</strong></div>';               
			                        echo '<a class="view-course rippler rippler-default button-winona" href="'.get_permalink($post->ID).'"><i class="fa fa-eye"></i> '.esc_html__('View Course', 'eduprime').'</a>';
			                        echo '<div class="clearfix"></div>';
			                        echo '</div>';
			                    echo '</div>';
			                echo '</div>';
			            echo '</div>';

				    }

					?>

				</div>
			</div>

		<?php } ?>

		<!-- section3 -->
		<?php $education_field_1 = get_user_meta( $lp_user->ID, 'smartowl_education_info', true ); ?>
		<?php if($education_field_1) { ?>
			<div class="container teacher-education-container">
				<h1 class="teacher-teamplate-header"><?php echo esc_html__('Education Background','eduprime'); ?></h1>
				<div class="education-list">
					<p><?php echo wp_kses_post($education_field_1); ?></p>
				</div>
			</div>
		<?php } ?>

		<!-- section4 -->
		<?php if(!empty($metabox_progress_bar1_name) && !empty($metabox_progress_bar1_percentage)) { ?>
			<div class="container teacher-skills-container">
				<h1 class="teacher-teamplate-header"><?php echo esc_html__('Skills','eduprime'); ?></h1>
				<div class="skills-list">

					<div class="row">
						<div class="col-md-6">
							<?php if(!empty($metabox_progress_bar1_name) && !empty($metabox_progress_bar1_percentage)) { ?>
			                    <?php echo do_shortcode('[progress_bar tooltip_option="tooltip_on" bar_scope="success" bar_style="simple" bar_value="'.esc_attr($metabox_progress_bar1_percentage).'" bar_label_text="'.esc_attr($metabox_progress_bar1_name).'" bar_label_percentage="'.esc_attr($metabox_progress_bar1_percentage).'%"]'); ?>
			                <?php } ?>

			                <?php if(!empty($metabox_progress_bar2_name) && !empty($metabox_progress_bar2_percentage)) { ?>
			                    <?php echo do_shortcode('[progress_bar tooltip_option="tooltip_on" bar_scope="success" bar_style="simple" bar_value="'.esc_attr($metabox_progress_bar2_percentage).'" bar_label_text="'.esc_attr($metabox_progress_bar2_name).'" bar_label_percentage="'.esc_attr($metabox_progress_bar2_percentage).'%"]'); ?>
			                <?php } ?>
		            	</div>

		                <div class="col-md-6">
			                <?php if(!empty($metabox_progress_bar3_name) && !empty($metabox_progress_bar3_percentage)) { ?>
			                    <?php echo do_shortcode('[progress_bar tooltip_option="tooltip_on" bar_scope="success" bar_style="simple" bar_value="'.esc_attr($metabox_progress_bar3_percentage).'" bar_label_text="'.esc_attr($metabox_progress_bar3_name).'" bar_label_percentage="'.esc_attr($metabox_progress_bar3_percentage).'%"]'); ?>
			                <?php } ?>

			                <?php if(!empty($metabox_progress_bar4_name) && !empty($metabox_progress_bar4_percentage)) { ?>
			                    <?php echo do_shortcode('[progress_bar tooltip_option="tooltip_on" bar_scope="success" bar_style="simple" bar_value="'.esc_attr($metabox_progress_bar4_percentage).'" bar_label_text="'.esc_attr($metabox_progress_bar4_name).'" bar_label_percentage="'.esc_attr($metabox_progress_bar4_percentage).'%"]'); ?>
			                <?php } ?>
		                </div>
	                </div>

				</div>
			</div>
		<?php } ?>		

		<!-- section5 -->
		<?php $teacher_contact_shortcode = get_user_meta( $lp_user->ID, 'smartowl_teacher_contact_shortcode', true ); ?>
		<?php if($teacher_contact_shortcode) { ?>
			<div class="container teacher-contact-container">
				<h1 class="teacher-teamplate-header"><?php echo esc_html__('Send a message','eduprime'); ?></h1>
				<div class="contact-shortcode-section">
					<p><?php echo do_shortcode($teacher_contact_shortcode); ?></p>
				</div>
			</div>
		<?php } ?>

	</div>
<?php } else { ?>
	<script type="text/javascript">
		window.location.href = "<?php echo esc_url( home_url( '/' ) ) . '404'; ?>";
	</script>
<?php } ?>