<?php
/**
 * The template for displaying 404 pages (not found).
 *
 */

get_header(); ?>

	<!-- Breadcrumbs -->
	<div class="modeltheme-breadcrumbs">
	    <div class="container">
	        <div class="row">
	            <div class="col-md-12">
	                <h1 class="page-title"><?php esc_html_e('404','eduprime'); ?></h1>
	            </div>
	        </div>
	    </div>
	</div>

	<!-- Page content -->
	<div id="primary" class="content-area">
	    <main id="main" class="container blog-posts high-padding site-main">
	        <div class="col-md-12 main-content">
				<section class="error-404 not-found">
					<header class="page-header">
						<div class="text-center page404-text-h"><?php echo esc_html__('404', 'eduprime'); ?></div>
						<h2 class="page-title text-center"><?php esc_html_e( 'Sorry, this page does not exist', 'eduprime' ); ?></h2>
						<p class=" text-center"><?php esc_html_e( 'The link you clicked might be corrupted, or the page may have been removed.', 'eduprime' ); ?></p>
					</header>
				</section>
			</div>
		</main>
	</div>

<?php get_footer(); ?>
