<?php
 /**
  * The template for displaying archive pages.
  *
  * Learn more: http://codex.WordPress.org/Template_Hierarchy
  *
  */

get_header(); 

$class = "col-md-8";
$sidebar = 'sidebar-1';

if ( eduprime_redux('eduprime_blog_layout') == 'eduprime_blog_fullwidth' ) {
    $class = "row";
}elseif ( eduprime_redux('eduprime_blog_layout') == 'eduprime_blog_right_sidebar' or eduprime_redux('eduprime_blog_layout') == 'eduprime_blog_left_sidebar') {
    $class = "col-md-8";
}
$sidebar = eduprime_redux('eduprime_blog_layout_sidebar');

if ( !class_exists( 'ReduxFrameworkPlugin' ) ) {
  $sidebar = 'sidebar-1';
} 
if ( !is_active_sidebar ( $sidebar ) ) { 
  $class = "row";
}
?>


<!-- Breadcrumbs -->
<div class="modeltheme-breadcrumbs">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <h1 class="page-title"><?php esc_html_e('Blog','eduprime'); ?></h1>
            </div>
            <div class="col-md-12">
                <ol class="breadcrumb">
                    <?php eduprime_breadcrumb(); ?>
                </ol>
            </div>
        </div>
    </div>
</div>




   <!-- Page content -->
 <div class="high-padding">
     <!-- Blog content -->
     <div class="container blog-posts">
         <div class="row">
           <?php if ( eduprime_redux('eduprime_blog_layout') == 'eduprime_blog_left_sidebar' && is_active_sidebar( $sidebar )) { ?>
         <div class="col-md-4 sidebar-content">
          <?php if ( is_active_sidebar ( $sidebar ) ) { ?>
            <?php  dynamic_sidebar( $sidebar ); ?>
          <?php } ?>
         </div>
         <?php } ?>

         
        <?php if ( ! class_exists( 'ReduxFrameworkPlugin' ) ) { ?>
          <?php if (!is_active_sidebar($sidebar)) { ?>
              <div class="col-md-12 main-content">
          <?php }else{ ?>
              <div class="col-md-8 main-content">
          <?php } ?>
        <?php }else{ ?>
            <div class="<?php echo esc_attr($class); ?> main-content ">
        <?php } ?>
             <?php if ( have_posts() ) : ?>
                 <?php /* Start the Loop */ ?>
                 <?php while ( have_posts() ) : the_post(); ?>
                      <?php
                         get_template_part( 'content', get_post_format() );
                     ?>
                   <?php endwhile; ?>
                   
               <?php else : ?>
                   <?php get_template_part( 'content', 'none' ); ?>
               <?php endif; ?>

                <div class="clearfix"></div>
                <?php if ( !class_exists( 'ReduxFrameworkPlugin' ) ) { ?>    
                  <div class="modeltheme-pagination pagination col-md-12">             
                      <?php eduprime_pagination(); ?>
                  </div>
                <?php } ?>

             </div>

             
            <?php if ( class_exists( 'ReduxFrameworkPlugin' ) ) { ?>    
              <?php if ( eduprime_redux('eduprime_blog_layout') == 'eduprime_blog_right_sidebar' && is_active_sidebar( $sidebar )) { ?>
                <div class="col-md-4 sidebar-content">
                <?php  if ( is_active_sidebar ( $sidebar ) ) { 
                    dynamic_sidebar( $sidebar ); 
                }  ?>
                </div>
              <?php } ?>
            <?php } ?>

            <?php if ($class == 'col-md-8') { ?>
              <div class="col-md-4 sidebar-content">
              <?php  if ( is_active_sidebar ( $sidebar ) ) { 
                  dynamic_sidebar( $sidebar ); 
              }  ?>
              </div>
            <?php } ?>

            <div class="clearfix"></div>
             <?php if ( class_exists( 'ReduxFrameworkPlugin' ) ) { ?>    
                <div class="modeltheme-pagination pagination col-md-12">             
                    <?php eduprime_pagination(); ?>
                </div>
            <?php } ?>


           </div>
     </div>
</div>
<div class="clearfix"></div>
<?php get_footer(); ?>