<?php
/**
CUSTOM FOOTER FUNCTIONS
*/


// SITE PRELOADER ANIMATION: From theme options panel
function eduprime_loader_animation(){

    global  $eduprime_redux;
    
    $html = '';

    if (isset($eduprime_redux['mt_preloader_animation'])) {
        if ($eduprime_redux['mt_preloader_animation'] == 'v1_ball_triangle') {
            $html .= '<div class="linify_preloader v1_ball_triangle">
                        <div class="loaders">
                            <div class="loader">
                                <div class="loader-inner ball-triangle-path">
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                </div>
                            </div>
                        </div>
                    </div>';
        }elseif($eduprime_redux['mt_preloader_animation'] == 'v2_ball_pulse'){
            $html .= '<div class="linify_preloader v2_ball_pulse">
                        <div class="loaders">
                            <div class="loader">
                                <div class="loader-inner ball-pulse">
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                </div>
                            </div>
                        </div>
                    </div>';
        }elseif($eduprime_redux['mt_preloader_animation'] == 'v3_ball_grid_pulse'){
            $html .= '<div class="linify_preloader v3_ball_grid_pulse">
                        <div class="loaders">
                            <div class="loader">
                                <div class="loader-inner ball-grid-pulse">
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                </div>
                            </div>
                        </div>
                    </div>';
        }elseif($eduprime_redux['mt_preloader_animation'] == 'v4_ball_clip_rotate'){
            $html .= '<div class="linify_preloader v4_ball_clip_rotate">
                        <div class="loaders">
                            <div class="loader">
                                <div class="loader-inner ball-clip-rotate">
                                    <div></div>
                                </div>
                            </div>
                        </div>
                    </div>';
        }elseif($eduprime_redux['mt_preloader_animation'] == 'v5_ball_clip_rotate_pulse'){
            $html .= '<div class="linify_preloader v5_ball_clip_rotate_pulse">
                        <div class="loaders">
                            <div class="loader">
                                <div class="loader-inner ball-clip-rotate-pulse">
                                    <div></div>
                                    <div></div>
                                </div>
                            </div>
                        </div>
                    </div>';
        }elseif($eduprime_redux['mt_preloader_animation'] == 'v6_square_spin'){
            $html .= '<div class="linify_preloader v6_square_spin">
                        <div class="loaders">
                            <div class="loader">
                                <div class="loader-inner square-spin">
                                    <div></div>
                                </div>
                            </div>
                        </div>
                    </div>';
        }elseif($eduprime_redux['mt_preloader_animation'] == 'v7_ball_clip_rotate_multiple'){
            $html .= '<div class="linify_preloader v7_ball_clip_rotate_multiple">
                        <div class="loaders">
                            <div class="loader">
                                <div class="loader-inner ball-clip-rotate-multiple">
                                    <div></div>
                                    <div></div>
                                </div>
                            </div>
                        </div>
                    </div>';
        }elseif($eduprime_redux['mt_preloader_animation'] == 'v8_ball_pulse_rise'){
            $html .= '<div class="linify_preloader v8_ball_pulse_rise">
                        <div class="loaders">
                            <div class="loader">
                                <div class="loader-inner ball-pulse-rise">
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                </div>
                            </div>
                        </div>
                    </div>';
        }elseif($eduprime_redux['mt_preloader_animation'] == 'v9_ball_rotate'){
            $html .= '<div class="linify_preloader v9_ball_rotate">
                        <div class="loaders">
                            <div class="loader">
                                <div class="loader-inner ball-rotate">
                                    <div></div>
                                </div>
                            </div>
                        </div>
                    </div>';
        }elseif($eduprime_redux['mt_preloader_animation'] == 'v10_cube_transition'){
            $html .= '<div class="linify_preloader v10_cube_transition">
                        <div class="loaders">
                            <div class="loader">
                                <div class="loader-inner cube-transition">
                                    <div></div>
                                    <div></div>
                                </div>
                            </div>
                        </div>
                    </div>';
        }elseif($eduprime_redux['mt_preloader_animation'] == 'v11_ball_zig_zag'){
            $html .= '<div class="linify_preloader v11_ball_zig_zag">
                        <div class="loaders">
                            <div class="loader">
                                <div class="loader-inner ball-zig-zag">
                                    <div></div>
                                    <div></div>
                                </div>
                            </div>
                        </div>
                    </div>';
        }elseif($eduprime_redux['mt_preloader_animation'] == 'v12_ball_zig_zag_deflect'){
            $html .= '<div class="linify_preloader v12_ball_zig_zag_deflect">
                        <div class="loaders">
                            <div class="loader">
                                <div class="loader-inner ball-zig-zag-deflect">
                                    <div></div>
                                    <div></div>
                                </div>
                            </div>
                        </div>
                    </div>';
        }elseif($eduprime_redux['mt_preloader_animation'] == 'v13_ball_scale'){
            $html .= '<div class="linify_preloader v13_ball_scale">
                        <div class="loaders">
                            <div class="loader">
                                <div class="loader-inner ball-scale">
                                    <div></div>
                                </div>
                            </div>
                        </div>
                    </div>';
        }elseif($eduprime_redux['mt_preloader_animation'] == 'v14_line_scale'){
            $html .= '<div class="linify_preloader v14_line_scale">
                        <div class="loaders">
                            <div class="loader">
                                <div class="loader-inner line-scale">
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                </div>
                            </div>
                        </div>
                    </div>';
        }elseif($eduprime_redux['mt_preloader_animation'] == 'v15_line_scale_party'){
            $html .= '<div class="linify_preloader v15_line_scale_party">
                        <div class="loaders">
                            <div class="loader">
                                <div class="loader-inner line-scale-party">
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                </div>
                            </div>
                        </div>
                    </div>';
        }elseif($eduprime_redux['mt_preloader_animation'] == 'v16_ball_scale_multiple'){
            $html .= '<div class="linify_preloader v16_ball_scale_multiple">
                        <div class="loaders">
                            <div class="loader">
                                <div class="loader-inner ball-scale-multiple">
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                </div>
                            </div>
                        </div>
                    </div>';
        }elseif($eduprime_redux['mt_preloader_animation'] == 'v17_ball_pulse_sync'){
            $html .= '<div class="linify_preloader v17_ball_pulse_sync">
                        <div class="loaders">
                            <div class="loader">
                                <div class="loader-inner ball-pulse-sync">
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                </div>
                            </div>
                        </div>
                    </div>';
        }elseif($eduprime_redux['mt_preloader_animation'] == 'v18_ball_beat'){
            $html .= '<div class="linify_preloader v18_ball_beat">
                        <div class="loaders">
                            <div class="loader">
                                <div class="loader-inner ball-beat">
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                </div>
                            </div>
                        </div>
                    </div>';
        }elseif($eduprime_redux['mt_preloader_animation'] == 'v19_line_scale_pulse_out'){
            $html .= '<div class="linify_preloader v19_line_scale_pulse_out">
                        <div class="loaders">
                            <div class="loader">
                                <div class="loader-inner line-scale-pulse-out">
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                </div>
                            </div>
                        </div>
                    </div>';
        }elseif($eduprime_redux['mt_preloader_animation'] == 'v20_line_scale_pulse_out_rapid'){
            $html .= '<div class="linify_preloader v20_line_scale_pulse_out_rapid">
                        <div class="loaders">
                            <div class="loader">
                                <div class="loader-inner line-scale-pulse-out-rapid">
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                </div>
                            </div>
                        </div>
                    </div>';
        }else{
            $html .= '<div class="linify_preloader v1_ball_triangle">
                        <div class="loaders">
                            <div class="loader">
                                <div class="loader-inner ball-triangle-path">
                                    <div></div>
                                    <div></div>
                                    <div></div>
                                </div>
                            </div>
                        </div>
                    </div>'; 
        }
    }else{
        $html .= '<div class="linify_preloader v1_ball_triangle">
                    <div class="loaders">
                        <div class="loader">
                            <div class="loader-inner ball-triangle-path">
                                <div></div>
                                <div></div>
                                <div></div>
                            </div>
                        </div>
                    </div>
                </div>'; 
    }

    return $html;
}


?>