<?php
// Add backend styles for Gutenberg.
add_action( 'enqueue_block_editor_assets', 'eduprime_add_gutenberg_assets' );
/**
 * Load Gutenberg stylesheet.
 */
function eduprime_add_gutenberg_assets() {
	// Load the theme styles within Gutenberg.
	wp_enqueue_style( 'eduprime-gutenberg-style', get_theme_file_uri( '/css/gutenberg-editor-style.css' ), false );
    wp_enqueue_style( 
        'eduprime-gutenberg-fonts', 
        '//fonts.googleapis.com/css?family=Montserrat:regular,700,latin' 
    ); 
}
?>